Bug 9494 - missing stuff in include files
missing stuff in include files
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
sparc Linux
medium Severity low
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 2000-02-16 15:18 EST by wwlytton
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-03-04 13:21:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description wwlytton 2000-02-16 15:18:34 EST
1) The following bug report from 1998 still hasn't been addressed in the
Redhat dist.
Missing definition (SIGCLD) in Sparc vs Intel

David HM Spector (spector@zeitgeist.com)
Thu, 08 Oct 1998 12:39:20 -0400
Does anyone know if the following MISSING #define has been added to
in 5.2..?  Compiling pvm (and a few other packages) revealed that this
equivilence was in the Intel includes and not in the Sparc ones.  If not,
would be a good thing to add...

#define SIGCLD          SIGCHLD


2)  there is an include that needs its wrapper:
< # include <bits/sigthread.h>
   TO ================>
> # include <pthread.h>
Comment 1 Cristian Gafton 2000-03-04 13:21:59 EST
This is fixed in the current glibc. the define is in /usr/include/bits/signum.h

Note You need to log in before you can comment on or make changes to this bug.